# Making Diagrams

IPyDrawio lets you build and interact with diagram [documents] compatible with
[diagrams.net](https://diagrams.net), or hosted drawio integrations in Confluence and
other tools.

The same renderer powers different kinds of Jupyter outputs, including Jupyter [rich
displays] and [widgets].

[documents]: ../Diagram%20Document.ipynb
[rich displays]: ../Diagram%20Rich%20Display.ipynb
[widgets]: ../Diagram%20Widget.ipynb

```{toctree}
../Diagram Document
../Diagram Rich Display
../Diagram Widget
```

<!--
# Copyright 2023 ipydrawio contributors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
